<?php

namespace Litecms\Leadmanagement;

use User;

class Leadmanagement
{
    /**
     * $leadmanagement object.
     */
    protected $leadmanagement;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Leadmanagement\Interfaces\LeadmanagementRepositoryInterface $leadmanagement)
    {
        $this->leadmanagement = $leadmanagement;
    }

    /**
     * Returns count of leadmanagement.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.leadmanagement.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->leadmanagement->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\LeadmanagementUserCriteria());
        }

        $leadmanagement = $this->leadmanagement->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('leadmanagement::' . $view, compact('leadmanagement'))->render();
    }
}
