<?php

namespace Litecms\Leadmanagement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeadmanagementTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Leadmanagement\Models\Leadmanagement $leadmanagement)
    {
        return [
            'id'                => $leadmanagement->getRouteKey(),
            'key'               => [
                'public'    => $leadmanagement->getPublicKey(),
                'route'     => $leadmanagement->getRouteKey(),
            ], 
            'name'              => $leadmanagement->name,
            'sender_id'         => $leadmanagement->sender_id,
            'receiver_id'       => $leadmanagement->receiver_id,
            'url'               => [
                'public'    => trans_url('leadmanagement/'.$leadmanagement->getPublicKey()),
                'user'      => guard_url('leadmanagement/leadmanagement/'.$leadmanagement->getRouteKey()),
            ], 
            'status'            => trans('app.'.$leadmanagement->status),
            'created_at'        => format_date($leadmanagement->created_at),
            'updated_at'        => format_date($leadmanagement->updated_at),
        ];
    }
}